\documentclass[a5paper,12pt]{article}

\usepackage[utf8]{inputenc}
\usepackage[francais]{babel}
\usepackage[T1]{fontenc}
\usepackage[upright]{kpfonts}

\usepackage[bookmarks=false,colorlinks,linkcolor=blue,pdfusetitle]{hyperref}
\usepackage[a5paper,top=0.7cm,bottom=0.7cm,left=0.7cm,right=0.7cm]{geometry}

\usepackage{multicol}

\pdfminorversion 7
\pdfobjcompresslevel 3

\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}

\title{Variables aléatoires discrètes}
\author{BTS 1\iere année}
\date{28 février 2013}

\makeatletter
\hypersetup{
  pdftitle={\@title},
  %pdfsubject={Modèle de document LaTeX},
  %pdfkeywords={LaTeX, modèle},
  pdfauthor={\@author}
}

\renewcommand{\maketitle}%
{\begin{center}%
\framebox{%
    \begin{minipage}{1.0\linewidth}%
      \begin{center}%
        \Large \@title ~-- \@author \\%
        \@date%
      \end{center}%
    \end{minipage}}%
  \normalsize%
  %\vspace{1cm}%
\end{center}
}

\makeatother

\begin{document}

\maketitle

\end{document}
